SystemOrganization addCategory: #ConfigurationOfRizel!

Object subclass: #ConfigurationOfRizel
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRizel'!

!ConfigurationOfRizel class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRizel class methodsFor: 'metacello tool support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalAlcocer 11/29/2012 16:22'!
load
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	"ugly but Spy not always work"
	^(self project version: #stable) load
	
	! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 10/17/2013 17:39'!
loadRizelClient
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	<apiDocumentation>
	^ self project lastVersion load:#('Client').! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalAlcocer 11/14/2012 12:36'!
loadRizelProfiler
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	<apiDocumentation>
	^self project stableVersion load:#('RzProfiler').! !

!ConfigurationOfRizel class methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
project

	^self new project! !

!ConfigurationOfRizel class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 7/10/2012 01:07'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec 
			package: 'Rizel-Core';
			package: 'Rizel-Builder';
			package: 'Rizel-Example';
			package: 'Rizel-Roassal-Views';
			package: 'Rizel-Spy-Profiler'.  ].
! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 11/14/2012 12:17'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec
			project: 'Spec for Rizel' with: [
				spec
					className: 'ConfigurationOfSpec';
					file: 'ConfigurationOfSpec';
					version:#stable;
					repository: 'http://ss3.gemstone.com/ss/Spec' ].
		spec
			project: 'Spy for Rizel' with: [
				spec
					className: 'ConfigurationOfSpy';
					file: 'ConfigurationOfSpy';
					version: #'development';
					repository: 'http://www.squeaksource.com/Spy'].
		spec
			project: 'Roassal for Rizel' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #'development';
					repository: 'http://www.squeaksource.com/Roassal'].
		spec
			package: 'Rizel-Roassal-Views';
			package: 'Rizel-Spy-Profiler';
			package: 'Rizel-Core' ;
			package: 'Rizel-Builder' ;
			package: 'Rizel-Test-Scenario';
			package: 'Rizel-Tools';
			package: 'Rizel-Spy-Profiler-Tests';
			package: 'Rizel-Core-Tests';
			package: 'Rizel-Builder-Tests';
			package: 'Rizel-Roassal-Views-Tests';
			package: 'Rizel-Example'. ].
! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 11/23/2012 10:04'!
baseline12: spec
	<version: '1.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec
			project: 'Spy for Rizel' with: [
				spec
					className: 'ConfigurationOfSpy';
					file: 'ConfigurationOfSpy';
					version: #'development';
					repository: 'http://www.squeaksource.com/Spy'].
		spec
			project: 'Spec for Rizel' with: [
				spec
					className: 'ConfigurationOfSpec';
					file: 'ConfigurationOfSpec';
					version:#stable;
					repository: 'http://ss3.gemstone.com/ss/Spec' ].
		spec
			project: 'SMark for Rizel' with: [
				spec
					className: 'ConfigurationOfBenchmarking';
					file: 'ConfigurationOfBenchmarking';
					version: #'development';
					repository: 'http://www.squeaksource.com/SMark'].
		spec
			project: 'Roassal for Rizel' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #'development';
					repository: 'http://www.squeaksource.com/Roassal'].
		spec
			package: 'Rizel-Roassal-Views' with:[ spec requires: 'Roassal for Rizel'];
			package: 'Rizel-Spy-Profiler'  with:[ spec requires: 'Spy for Rizel'];
			package: 'Rizel-Core';
			package: 'Rizel-Builder' ;
			package: 'Rizel-Test-Scenario';
			package: 'Rizel-Tools';
			package: 'Rizel-Spy-Profiler-Tests' with:[ spec requires: 'Rizel-Spy-Profiler'];
			package: 'Rizel-Core-Tests';
			package: 'Rizel-Builder-Tests';
			package: 'Rizel-Roassal-Views-Tests' with: [ spec requires:'Rizel-Roassal-Views' ];
			package: 'Rizel-Example';
			package: 'Rizel-SMark' with:[ spec requires: 'SMark for Rizel'];
			package: 'Rizel-SMark-Tests' with: [ spec requires: 'Rizel-SMark']. 
			spec group: 'Base' with: #('Rizel-Spy-Profiler' 'Rizel-SMark').
			spec].
! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 11/23/2012 10:14'!
baseline13: spec
	<version: '1.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec
			project: 'Spy for Rizel' with: [
				spec
					className: 'ConfigurationOfSpy';
					file: 'ConfigurationOfSpy';
					version: #'development';
					repository: 'http://www.squeaksource.com/Spy'].
		spec
			project: 'Spec for Rizel' with: [
				spec
					className: 'ConfigurationOfSpec';
					file: 'ConfigurationOfSpec';
					version:#stable;
					repository: 'http://ss3.gemstone.com/ss/Spec' ].
		spec
			project: 'SMark for Rizel' with: [
				spec
					className: 'ConfigurationOfBenchmarking';
					file: 'ConfigurationOfBenchmarking';
					version: #'development';
					repository: 'http://www.squeaksource.com/SMark'].
		spec
			project: 'Roassal for Rizel' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #'development';
					repository: 'http://www.squeaksource.com/Roassal'].
		spec
			project: 'Fuel for Rizel' with: [
				spec
					className: 'ConfigurationOfFuel';
					file: 'ConfigurationOfFuel';
					version: #'stable';
					repository: 'http://ss3.gemstone.com/ss/Fuel'].
		spec
			package: 'Rizel-Roassal-Views' with:[ spec requires: 'Roassal for Rizel'];
			package: 'Rizel-Spy-Profiler'  with:[ spec requires: 'Spy for Rizel'];
			package: 'Rizel-Core';
			package: 'Rizel-Builder' ;
			package: 'Rizel-Test-Scenario';
			package: 'Rizel-Tools';
			package: 'Rizel-Spy-Profiler-Tests' with:[ spec requires: 'Rizel-Spy-Profiler'];
			package: 'Rizel-Core-Tests';
			package: 'Rizel-Builder-Tests';
			package: 'Rizel-Roassal-Views-Tests' with: [ spec requires:'Rizel-Roassal-Views' ];
			package: 'Rizel-Example';
			package: 'Rizel-SMark' with:[ spec requires: 'SMark for Rizel';requires:'Fuel for Rizel'];
			package: 'Rizel-SMark-Tests' with: [ spec requires: 'Rizel-SMark']. 
			spec group: 'Base' with: #('Rizel-Spy-Profiler' 'Rizel-SMark').
			spec].
! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalA 10/17/2013 16:59'!
baseline14: spec
	<version: '1.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/juampi/Rizel/main'.
		spec
			project: 'Gadget for Rizel' with: [
				spec
					className: 'ConfigurationOfGadgetProfiler';
					file: 'ConfigurationOfGadgetProfiler';
					version: #'development';
					repository: 'http://smalltalkhub.com/mc/ainfante/GadgetProfiler/main'].
		spec
			project: 'CommandShell for Rizel' with: [
				spec
					className: 'ConfigurationOfCommandShell';
					file: 'ConfigurationOfCommandShell';
					version: #'stable';
					repository: 'http://ss3.gemtalksystems.com/ss/MetaRepoForPharo20'].
		spec
			project: 'SMark for Rizel' with: [
				spec
					className: 'ConfigurationOfBenchmarking';
					file: 'ConfigurationOfBenchmarking';
					version: #'development';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/SMark/main'].
		spec
			project: 'Roassal for Rizel' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #'development';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal/main'].
		spec
			project: 'GraphET for Rizel' with: [
				spec
					className: 'ConfigurationOfGraphET';
					file: 'ConfigurationOfGraphET';
					version: #'development';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/GraphET/main'].
		spec
			project: 'Fuel for Rizel' with: [
				spec
					className: 'ConfigurationOfFuel';
					file: 'ConfigurationOfFuel';
					version: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/Fuel/main'].
		spec
			package: 'Rizel-Browser';
			package: 'Rizel-Builder';
			package: 'Rizel-Gadgets' with:[ spec requires:'Gadget for Rizel'];
			package: 'Rizel-Launcher' with:[ spec requires: 'CommandShell for Rizel'];
			package: 'Rizel-Launcher-CommandHandler' with:[spec requires:'Rizel-Launcher'];
			package: 'Rizel-Profiler' with:[spec requires:'Rizel-Gadgets'];
			package: 'Rizel-Patterns' with:[spec requires:'Rizel-Profiler'];
			package: 'Rizel-Roassal' with:[spec requires:'Roassal for Rizel'];
			package: 'Rizel-SMark' with:[spec requires:'SMark for Rizel'];
			package: 'Rizel-Test' with:[spec requires:'Rizel-Browser';
												requires:'Rizel-Builder'; 
												requires:'Rizel-Gadget';
												requires:'Rizel-Launcher';
												requires:'Rizel-Launcher-CommandHandler';
												requires:'Rizel-Patterns';
												requires:'Rizel-Roassal';
												requires:'Rizel-SMark'.];
			package: 'Rizel-Test-Scenario' with:[ spec  requires:'Rizel-Test'.].
		spec  group: 'Client' with: #('Rizel-Gadgets' 'Rizel-SMark' 'Rizel-Launcher-CommandHandler').
		spec].
! !

!ConfigurationOfRizel methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalAlcocer 10/22/2013 18:06'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.16'.
! !

!ConfigurationOfRizel methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRizel methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalA 10/17/2013 16:10'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.13'.
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 6/24/2012 16:22'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : First Release of Rizel'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalA.6';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.2';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.3';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.4';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalA.3';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.5'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:23'!
version110: spec
	<version: '1.10' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.9 : adding code examples
1.10 : adding command line support'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '11/14/2012 12:40'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.18';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.10';
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.12';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JPSA.11';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalA.4';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.16'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:23'!
version111: spec
	<version: '1.11' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.9 : adding code examples
1.10 : adding command line support'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '11/14/2012 12:40'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.18';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.10';
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.12';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JPSA.11';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalA.4';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.16';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-SMark-Tests' with: 'Rizel-SMark-Tests-JuanPabloSandovalAlcocer.1'.
			].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 10/16/2013 15:57'!
version112: spec
	<version: '1.12' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.9 : adding code examples
1.10 : adding command line support
1.12 : adding fuel serialization to rizel
1.12 : adding RizelXMLReporter
1.12 : adding multi-image options
1.12 : adding multi-images options'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '10/16/2013 15:57'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'SMark for Rizel' with: #'development';
			project: 'Roassal for Rizel' with: #'development';
			project: 'Spy for Rizel' with: '1.135';
			project: 'Fuel for Rizel' with: #'stable'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.18';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.14';
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.12';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JPSA.11';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalA.4';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.16';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalA.13';
			package: 'Rizel-SMark-Tests' with: 'Rizel-SMark-Tests-JuanPabloSandovalAlcocer.4'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 10/18/2013 14:07'!
version113: spec
	<version: '1.13' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.12 : adding multi-images options
1.13 : adding a new baseline
1.13 : adding SMarkSuite options'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '10/18/2013 14:07'.
		spec 
			project: 'CommandShell for Rizel' with: #'stable';
			project: 'Gadget for Rizel' with: '1.6';
			project: 'SMark for Rizel' with: '0.3';
			project: 'Roassal for Rizel' with: '1.407';
			project: 'GraphET for Rizel' with: '0.2-snapshot';
			project: 'Fuel for Rizel' with: #'stable'.
		spec 
			package: 'Rizel-Browser' with: 'Rizel-Browser-JuanPabloSandovalAlcocer.4';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Gadgets' with: 'Rizel-Gadgets-JuanPabloSandovalA.6';
			package: 'Rizel-Launcher' with: 'Rizel-Launcher-JuanPabloSandovalA.22';
			package: 'Rizel-Launcher-CommandHandler' with: 'Rizel-Launcher-CommandHandler-JuanPabloSandovalA.39';
			package: 'Rizel-Profiler' with: 'Rizel-Profiler-JuanPabloSandovalA.11';
			package: 'Rizel-Patterns' with: 'Rizel-Patterns-JuanPabloSandovalA.1';
			package: 'Rizel-Roassal' with: 'Rizel-Roassal-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalA.14';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalAlcocer.6';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 10/22/2013 17:59'!
version114: spec
	<version: '1.14' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.13 : adding SMarkSuite options
1.14 : fixing install issues for graphET'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '10/22/2013 17:59'.
		spec 
			project: 'Gadget for Rizel' with: '1.6';
			project: 'CommandShell for Rizel' with: #'stable';
			project: 'SMark for Rizel' with: '0.3';
			project: 'Roassal for Rizel' with: '1.428-snapshot';
			project: 'GraphET for Rizel' with: '0.2-snapshot';
			project: 'Fuel for Rizel' with: #'stable'.
		spec 
			package: 'Rizel-Browser' with: 'Rizel-Browser-JuanPabloSandovalAlcocer.4';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Gadgets' with: 'Rizel-Gadgets-JuanPabloSandovalA.6';
			package: 'Rizel-Launcher' with: 'Rizel-Launcher-JuanPabloSandovalAlcocer.23';
			package: 'Rizel-Launcher-CommandHandler' with: 'Rizel-Launcher-CommandHandler-JuanPabloSandovalAlcocer.40';
			package: 'Rizel-Profiler' with: 'Rizel-Profiler-JuanPabloSandovalA.11';
			package: 'Rizel-Patterns' with: 'Rizel-Patterns-JuanPabloSandovalA.1';
			package: 'Rizel-Roassal' with: 'Rizel-Roassal-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalA.14';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 10/22/2013 18:06'!
version115: spec
	<version: '1.15' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.14 : fixing install issues for graphET
1.15 : adding code for testing'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '10/22/2013 18:06'.
		spec 
			project: 'Gadget for Rizel' with: '1.6';
			project: 'CommandShell for Rizel' with: #'stable';
			project: 'SMark for Rizel' with: '0.3';
			project: 'Roassal for Rizel' with: '1.428-snapshot';
			project: 'GraphET for Rizel' with: '0.2-snapshot';
			project: 'Fuel for Rizel' with: #'stable'.
		spec 
			package: 'Rizel-Browser' with: 'Rizel-Browser-JuanPabloSandovalAlcocer.4';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Gadgets' with: 'Rizel-Gadgets-JuanPabloSandovalA.6';
			package: 'Rizel-Launcher' with: 'Rizel-Launcher-JuanPabloSandovalAlcocer.24';
			package: 'Rizel-Launcher-CommandHandler' with: 'Rizel-Launcher-CommandHandler-JuanPabloSandovalAlcocer.41';
			package: 'Rizel-Profiler' with: 'Rizel-Profiler-JuanPabloSandovalA.11';
			package: 'Rizel-Patterns' with: 'Rizel-Patterns-JuanPabloSandovalA.1';
			package: 'Rizel-Roassal' with: 'Rizel-Roassal-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalA.14';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 10/23/2013 12:52'!
version116: spec
	<version: '1.16' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.15 : adding code for testing
1.16 : adding graphET and Roassal installers'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '10/23/2013 12:52'.
		spec 
			project: 'Gadget for Rizel' with: '1.6';
			project: 'CommandShell for Rizel' with: #'stable';
			project: 'SMark for Rizel' with: '0.3';
			project: 'Roassal for Rizel' with: '1.428-snapshot';
			project: 'GraphET for Rizel' with: '0.2-snapshot';
			project: 'Fuel for Rizel' with: #'stable'.
		spec 
			package: 'Rizel-Browser' with: 'Rizel-Browser-JuanPabloSandovalAlcocer.4';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Gadgets' with: 'Rizel-Gadgets-JuanPabloSandovalA.6';
			package: 'Rizel-Launcher' with: 'Rizel-Launcher-JuanPabloSandovalAlcocer.25';
			package: 'Rizel-Launcher-CommandHandler' with: 'Rizel-Launcher-CommandHandler-JuanPabloSandovalAlcocer.42';
			package: 'Rizel-Profiler' with: 'Rizel-Profiler-JuanPabloSandovalA.11';
			package: 'Rizel-Patterns' with: 'Rizel-Patterns-JuanPabloSandovalA.1';
			package: 'Rizel-Roassal' with: 'Rizel-Roassal-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-SMark' with: 'Rizel-SMark-JuanPabloSandovalA.14';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalAlcocer.8';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.1'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 6/24/2012 17:14'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : First Release of Rizel
1.1 : adding test cases'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 17:14'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.7';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.4';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.5';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.4';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.6'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 6/30/2012 20:17'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 : adding test cases
1.2 : Adding comments in Builder package
des'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '6/30/2012 20:17'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.7';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.5';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.4';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.5';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.4';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.7'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 22:13'!
version13: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.2 : Adding comments in Builder package
1.3 : adding Holmes an especification of rizel
test description
1.4 : Refactoring packages'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '7/7/2012 22:13'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Holmes' with: 'Rizel-Holmes-JuanPabloSandovalA.1';
			package: 'Rizel-Tracker' with: 'Rizel-Tracker-JuanPabloSandovalA.1';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalAlcocer.6';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.6';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.8'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 7/10/2012 01:08'!
version14: spec
	<version: '1.4' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Refactoring
1.4 : minor fixes and adding examples in RzRizelDemo
1.4 :
1.4 :
1.4 :'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '7/10/2012 01:08'.
		spec 
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalAlcocer.2';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.2'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 8/20/2012 01:03'!
version15: spec
	<version: '1.5' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Addding rizel browser
1.5 : adding examples'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '8/20/2012 01:03'.
		spec 
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.14';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.12';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalA.8';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.3'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:24'!
version16: spec
	<version: '1.6' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : adding examples
1.6 : fixing update problems'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '8/20/2012 01:51'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.15';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.12';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalA.9';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.3'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:24'!
version17: spec
	<version: '1.7' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.6 : fixing update problems
1.7 : adding filter mechanism'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '8/21/2012 17:43'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.16';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.13';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalA.9';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.3'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:24'!
version18: spec
	<version: '1.8' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.7 : adding filter mechanism
1.8 : Final gsoc release'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '9/7/2012 10:31'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.16';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.14';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalA.10';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.3'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 11/21/2012 13:24'!
version19: spec
	<version: '1.9' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.8 : Final gsoc release
1.9 : adding code examples'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '9/7/2012 11:11'.
		spec 
			project: 'Spec for Rizel' with: #'stable';
			project: 'Spy for Rizel' with: '1.133'.
		spec 
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.16';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.12';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.15';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalA.10';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.3'. ].
! !
